package arm

import "git.urbach.dev/cli/q/src/cpu"

// AddRegisterNumber adds a number to a register.
func AddRegisterNumber(destination cpu.Register, source cpu.Register, number int) uint32 {
	return addRegisterNumber(0b10, 0, destination, source, number)
}

// AddRegisterRegister adds a register to a register.
func AddRegisterRegister(destination cpu.Register, source cpu.Register, operand cpu.Register) uint32 {
	return addRegisterRegister(0b10, 0, destination, source, operand)
}
